gnutls_certificate_get_trust_list(3)

NAME
gnutls_certificate_get_trust_list - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_certificate_get_trust_list(gnutls_certificate_credentials_t res, gnutls_x509_trust_list_t * tlist);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t type.

gnutls_x509_trust_list_t * tlist
    Location where to store the trust list.

DESCRIPTION
Obtains the list of trusted certificates stored in res and writes a pointer to it to the location tlist . The pointer will point to memory internal to res , and must not be deinitialized. It will be automatically deallocated when the res structure is deinitialized.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/